# eric4.QScintilla.Lexers.LexerProperties

Module implementing a Properties lexer with some additional methods.

### Classes

LexerProperties | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerProperties

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerProperties, Lexer

### Methods

LexerProperties | Constructor
initProperties | Public slot to initialize the properties.

#### LexerProperties (Constructor)

LexerProperties(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerProperties.initProperties

initProperties()

Public slot to initialize the properties.

Up